Bug 21590 - "send list" email uses the term "virtual shelf", this should be "list".
Summary: "send list" email uses the term "virtual shelf", this should be "list".
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Target Milestone: ---
Assignee: Barton Chittenden
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-10-17 19:21 UTC by Barton Chittenden
Modified: 2018-11-28 09:20 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 21174: change virtual shelf to list in send list email. (1.50 KB, patch)
2018-10-17 19:35 UTC, Barton Chittenden
Details | Diff | Splinter Review
Bug 21174: change virtual shelf to list in send list email. (1.55 KB, patch)
2018-10-18 11:55 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 21590: change virtual shelf to list in send list email. (1.56 KB, patch)
2018-10-18 14:06 UTC, Julian Maurice
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Barton Chittenden 2018-10-17 19:21:48 UTC
The text of an email sent via the OPAC 'send shelves' menu item reads

"Hi,
   George sent you from our online catalog, the virtual shelf called ..."

Per https://wiki.koha-community.org/wiki/Terminology, we should use 'list' instead of 'virtual shelf'.

To re-create 

1) Choose a public list from the 'lists' menu in the OPAC.
2) Click 'Send list'
3) Log in as necessary
4) Fill in your own email address
5) Click 'send'
6) Check your email, the sent email will contain the text
   "sent you from our online catalog, the virtual shelf called".

This is hard coded in koha-tmpl/opac-tmpl/bootstrap/en/modules/opac-sendshelf.tt
Comment 1 Barton Chittenden 2018-10-17 19:35:16 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2018-10-18 11:55:41 UTC
Created attachment 80806 [details] [review]
Bug 21174: change virtual shelf to list in send list email.

To test

1) Choose a public list from the 'lists' menu in the OPAC.
2) Click 'Send list'
3) Log in as necessary
4) Fill in your own email address
5) Click 'send'
6) Check your email, the sent email will contain the text
   "sent you from our online catalog, the virtual shelf called".

Apply patch, re-test. The email will now contain
   "sent you from our online catalog, the list called".

https://bugs.koha-community.org/show_bug.cgi?id=21590

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 3 Julian Maurice 2018-10-18 14:06:55 UTC
Created attachment 80850 [details] [review]
Bug 21590: change virtual shelf to list in send list email.

To test

1) Choose a public list from the 'lists' menu in the OPAC.
2) Click 'Send list'
3) Log in as necessary
4) Fill in your own email address
5) Click 'send'
6) Check your email, the sent email will contain the text
   "sent you from our online catalog, the virtual shelf called".

Apply patch, re-test. The email will now contain
   "sent you from our online catalog, the list called".

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Julian Maurice <julian.maurice@biblibre.com>
Comment 4 Nick Clemens 2018-10-19 17:40:57 UTC
Awesome work all!

Pushed to master for 18.11
Comment 5 Martin Renvoize 2018-11-05 16:59:33 UTC
Pushed to 18.05.x for 18.05.06
Comment 6 Fridolin SOMERS 2018-11-28 09:20:59 UTC
I prefer to avoid string changes in 17.11.x